List deals
curl --request GET \
--url https://api.morphic.io/api/deals/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.morphic.io/api/deals/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.morphic.io/api/deals/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"stage": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"status": "open",
"amount": "<string>",
"currency": "USD",
"probability": 50,
"expected_close_date": "2023-12-25",
"source": "<string>",
"competing_options": [
"<string>"
],
"next_step": "<string>",
"tags": [
"<string>"
],
"notes": "<string>",
"categories": [
"<string>"
],
"contact_ids": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"assigned_to_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"lost_reason": "<string>",
"metadata": {},
"enrichment": {},
"enrichment_provider": "<string>",
"enrichment_last_updated": "2023-11-07T05:31:56Z",
"enrichment_status": "<string>",
"company_id": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"custom_fields": {},
"is_favorite": false
}
],
"total": 123,
"page": 123,
"page_size": 123,
"pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Deals
List deals
Retrieve a paginated list of deals with optional filtering and sorting.
GET
/
api
/
deals
/
List deals
Authorizations
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
Headers
Query Parameters
Comma-separated list of category IDs
JSON string of custom field filters
JSON string of basic filters
Sort by field:direction, e.g., 'name:asc' or 'created_at:desc'
Required range:
x >= 1Required range:
1 <= x <= 1000